Submit a DSR
To initiate a data subject request use this endpoint.
Workflows v2 routing
For organizations on workflows v2, this endpoint can submit against a workflow config while keeping the existing request shape (type, subjectType, and identity fields remain required):
- Explicit id — When you pass optional
workflowConfigId, the request is submitted through that non-draft workflow. - Flagged lookup — When you omit
workflowConfigId, Transcend looks for a non-draft workflow withallowLegacyApiSubmissionenabled that matches the requesttypeandsubjectType. When found, the request is routed to that workflow. - Legacy fallback — Otherwise (organization not on workflows v2, or no matching flagged workflow), the request uses the legacy submission path unchanged.
When the request is routed through workflows v2, the response includes an additive workflowConfigId so you can verify which config was used. Prefer the bulk API when submitting multiple requests or when you want the workflows-native request shape. See the Workflows quickstart guide.
Transcend_API_Key Submit New Data Subject RequestAuthorizationBearer <token>authorization: Bearer <>
Scope: Submit New Data Subject Request
content-type*stringSpecify content-type: application/json for a JSON response from the Transcend API.
application-jsonapplication/json- body
type*stringType of data subject request, can be any one of these events (https://docs.transcend.io/docs/receiving-webhooks#events).
1 <= length"ACCESS""ERASURE""RECTIFICATION""RESTRICTION""BUSINESS_PURPOSE""PLACE_ON_LEGAL_HOLD""REMOVE_FROM_LEGAL_HOLD""AUTOMATED_DECISION_MAKING_OPT_OUT""USE_OF_SENSITIVE_INFORMATION_OPT_OUT""CONTACT_OPT_OUT""SALE_OPT_OUT""TRACKING_OPT_OUT""CUSTOM_OPT_OUT""AUTOMATED_DECISION_MAKING_OPT_IN""USE_OF_SENSITIVE_INFORMATION_OPT_IN""SALE_OPT_IN""TRACKING_OPT_IN""CONTACT_OPT_IN""CUSTOM_OPT_IN"subject*attributes?array<>Key-value pairs used to label data subject requests. These are Custom Fields in Transcend, and formerly known as Attributes.
subjectType*stringThe class of data subject, e.g. "customer", "subscriber".
1 <= lengthworkflowConfigId?stringOptional workflow configuration to submit this request against. Available for organizations on workflows v2. When set, the request is routed through that non-draft workflow. When omitted, Transcend may resolve a workflow via allowLegacyApiSubmission lookup on (type, subjectType), or fall back to legacy submission. type and subjectType remain required.
uuidregion?Specify the region that the request is submitting from. See https://github.com/transcend-io/privacy-types/blob/main/src/isoConstants/iso3166-1.ts
isSilent?booleanWhen true, no emails will be sent to the data subject (including confirmation emails).
falseisTest?booleanWhen true, the request will be flagged as a test request. (useful for auditing purposes). Test requests still operate on your live integrations.
falselocale?stringLanguage preference, defaults to English ('en').
1 <= length"en""en""ar""fr""es""de""it""ja""ru""af""bg""zh""hr""cs""da""fi""el""hi""hu""ko""lt""ms""mr""nb""no""pl""pt""ro""sr""sv""ta""th""tr""uk""vi""zu""he""iw""nl""et""is""lv""mt""sk""sl""fil""bs""ca""eu""gl""dv""ur""sq""am""hy""az""bn""fa-AF""fa""tl""ka""gu""ht""ha""ga""kn""kk""mk""ml""mn""ps""pa""si""so""sw""te""uz""cy""ar-AE""fr-FR""de-DE""de-AT""de-CH""it-IT""it-CH""af-ZA""bg-BG""zh-CN""zh-TW""zh-Hans""hr-HR""cs-CZ""da-DK""en-GB""en-CA""en-AE""fi-FI""el-GR""hi-IN""hu-HU""id-ID""ja-JP""ko-KR""lt-LT""ms-MY""ms-SG""mr-IN""no-NO""nb-NO""pl-PL""pt-BR""pt-PT""ro-RO""ru-RU""sr-Latn-RS""sr-Cyrl-RS""sv-SE""ta-IN""th-TH""tr-TR""uk-UA""vi-VN""zu-ZA""en-US""en-AU""fr-BE""fr-CA""fr-CH""en-IE""nl-NL""nl-BE""es-ES""es-AR""es-CR""es-CL""es-CO""es-MX""es-419""zh-HK""he-IL""iw-IL""en-NZ""et-EE""is-IS""lv-LV""mt-MT""sk-SK""sl-SL""fil-PH""sq-AL""sq-MK""sq-XK""am-ET""hy-AM""az-AZ""bn-BD""bn-IN""bs-BA""bs-Cyrl-BA""bs-Latn-BA""ca-ES""ca-AD""ca-FR""ca-IT""tl-PH""ka-GE""gu-IN""ht-HT""ha-NG""ha-NE""ha-GH""ga-IE""kn-IN""kk-KZ""mk-MK""ml-IN""mn-MN""ps-AF""pa-Guru-IN""pa-Arab-PK""si-LK""so-SO""so-DJ""so-ET""so-KE""sw-KE""sw-TZ""sw-UG""sw-CD""te-IN""ur-PK""ur-IN""uz-UZ""cy-GB""eu-ES""gl-ES"details?stringMiscellaneous details about the request.
1 <= lengthcreatedAt?stringThe date at which you received the request and the SLA for completion should begin.
1 <= lengthdataSiloIds?array<>The set of data system IDs that SHOULD be processed. When dataSiloIds is set, ONLY these data systems will be processed. dataSiloIds and ignoreDataSiloIds cannot both be set. When neither are set, the full set of data systems will be processed. When dataSiloIds is set, org-wide duplicate blocking is skipped.
replyToEmailAddresses?array<>The set of email addresses that should be included on CC for any outbound emails send to the data subject during the course of the request.
ignoreDataSiloIds?array<>The set of data system IDs that SHOULD NOT be processed. dataSiloIds and ignoreDataSiloIds cannot both be set. When neither are set, the full set of data systems will be processed. When ignoreDataSiloIds is set, the full set of data systems except these data systems will be processed.
emailReceiptTemplateId?stringSpecific email template to be sent to the end user upon request submission. When not provided, default template for workflow will be user.
uuidskipWaitingPeriod?booleanWhen true, skip any waiting period associated with the workflow.
skipSendingReceipt?booleanWhen true, do not send an email receipt. This is not needed if isSilent=true, but can be useful when isSilent=false but no email receipt is desired.
skipEnrichmentChecks?array<>Specify the IDs of the enrichers/preflights that should be skipped when running this request. When omitted, all enrichers/preflight checks defined for the workflow will be run.
requestId?stringWhen restarting an existing request, specify the ID of the request to restart
uuidcompletedRequestStatus?stringWhen uploaded a backlog of past DSRs, use this field to upload a request directly into a completed state.
1 <= length"FAILED_VERIFICATION""COMPLETED""CANCELED""SECONDARY_COMPLETED""REVOKED"partitionKey?stringThe partition key to associate with this request. Partitions separate requests by different data controllers or clients. You can find partition keys under Consent Management > Developer Settings.
1 <= lengthThe request was successfully submitted to Transcend to be processed. In order to check on this request in the future, you should store the request ID from this response. When the request was routed through workflows v2, the response also includes workflowConfigId.
application/json- response
request*workflowConfigId?stringPresent when the request was routed through workflows v2 (via explicit workflowConfigId or allowLegacyApiSubmission lookup). Omitted on the legacy submission path.
uuidcurl -X POST 'https://multi-tenant.sombra.transcend.io/v1/data-subject-request' \ -H 'authorization: string' \ -H 'content-type: string' \ -H 'Content-Type: application/json' \ -d '{ "type": "ACCESS", "subject": { "coreIdentifier": "id-123456789", "email": "user@example.com" }, "subjectType": "customer"}'{ "request": { "id": "da13d328-3f9d-40d5-9312-9f4fcf3ad0d2", "status": "COMPILING", "type": "ACCESS", "subjectType": "customer", "email": "user@example.com", "coreIdentifier": "id-123456789", "isSilent": true, "isTest": false, "replyToEmailAddresses": [], "partition": null, "link": "https://app.transcend.io/privacy-requests/incoming-requests/da13d328-3f9d-40d5-9312-9f4fcf3ad0d2" }}